<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>MainWindow</class>
 <widget class="QMainWindow" name="MainWindow">
  <property name="windowModality">
   <enum>Qt::ApplicationModal</enum>
  </property>
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>904</width>
    <height>643</height>
   </rect>
  </property>
  <property name="windowTitle">
   <string>The Demolisher</string>
  </property>
  <widget class="QWidget" name="centralWidget">
   <layout class="QHBoxLayout" name="horizontalLayout">
    <item>
     <layout class="QGridLayout" name="gridLayout">
      <item row="0" column="0" colspan="4">
       <widget class="QComboBox" name="objects">
        <property name="toolTip">
         <string>Liste des objets</string>
        </property>
       </widget>
      </item>
      <item row="2" column="0" colspan="5">
       <widget class="QStackedWidget" name="objectWidget">
        <widget class="QWidget" name="objectStackedWidgetPage1"/>
       </widget>
      </item>
      <item row="1" column="4">
       <widget class="QToolButton" name="removeObject">
        <property name="toolTip">
         <string>Supprimer l'objet</string>
        </property>
        <property name="text">
         <string>Supprimer</string>
        </property>
        <property name="icon">
         <iconset theme="list-remove">
          <normaloff>.</normaloff>.</iconset>
        </property>
       </widget>
      </item>
      <item row="0" column="4">
       <widget class="QToolButton" name="addObject">
        <property name="toolTip">
         <string>Ajouter un objet</string>
        </property>
        <property name="text">
         <string>...</string>
        </property>
        <property name="icon">
         <iconset theme="list-add">
          <normaloff>.</normaloff>.</iconset>
        </property>
       </widget>
      </item>
      <item row="1" column="0">
       <widget class="QToolButton" name="objectShown">
        <property name="toolTip">
         <string>Afficher/Cacher l'objet</string>
        </property>
        <property name="text">
         <string>Afficher/Cacher</string>
        </property>
        <property name="icon">
         <iconset theme="view-visible">
          <normaloff>.</normaloff>.</iconset>
        </property>
        <property name="checkable">
         <bool>true</bool>
        </property>
        <property name="checked">
         <bool>true</bool>
        </property>
       </widget>
      </item>
      <item row="1" column="1">
       <widget class="QToolButton" name="centerObject">
        <property name="toolTip">
         <string>Recenter la vue sur l'objet</string>
        </property>
        <property name="text">
         <string>Recentrer</string>
        </property>
        <property name="icon">
         <iconset theme="zoom-fit-best">
          <normaloff>.</normaloff>.</iconset>
        </property>
       </widget>
      </item>
      <item row="1" column="2" colspan="2">
       <widget class="QLineEdit" name="objectName">
        <property name="sizePolicy">
         <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
          <horstretch>0</horstretch>
          <verstretch>0</verstretch>
         </sizepolicy>
        </property>
        <property name="toolTip">
         <string>Nom de l'objet</string>
        </property>
       </widget>
      </item>
     </layout>
    </item>
    <item>
     <widget class="myOpenGLWidget" name="openGLWidget">
      <property name="sizePolicy">
       <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
        <horstretch>0</horstretch>
        <verstretch>0</verstretch>
       </sizepolicy>
      </property>
     </widget>
    </item>
   </layout>
  </widget>
  <widget class="QMenuBar" name="menuBar">
   <property name="geometry">
    <rect>
     <x>0</x>
     <y>0</y>
     <width>904</width>
     <height>29</height>
    </rect>
   </property>
   <widget class="QMenu" name="menuFichier">
    <property name="title">
     <string>Fichier</string>
    </property>
    <addaction name="actionCharger_session"/>
    <addaction name="actionEnregistrer_session"/>
    <addaction name="separator"/>
    <addaction name="actionQuitter"/>
   </widget>
   <widget class="QMenu" name="menuOutils">
    <property name="title">
     <string>Outils</string>
    </property>
    <addaction name="actionVoronoi"/>
   </widget>
   <widget class="QMenu" name="menuConfiguration">
    <property name="title">
     <string>Configuration</string>
    </property>
    <addaction name="actionOuverture_auto_de_la_session"/>
    <addaction name="actionEnregistrement_auto_de_la_session"/>
   </widget>
   <widget class="QMenu" name="menuVue">
    <property name="title">
     <string>Vue</string>
    </property>
    <addaction name="actionRecentrer_l_origine"/>
   </widget>
   <addaction name="menuFichier"/>
   <addaction name="menuVue"/>
   <addaction name="menuOutils"/>
   <addaction name="menuConfiguration"/>
  </widget>
  <widget class="QStatusBar" name="statusBar"/>
  <action name="actionQuitter">
   <property name="icon">
    <iconset theme="application-exit">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Quitter</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+Q</string>
   </property>
  </action>
  <action name="actionVoronoi">
   <property name="text">
    <string>Constuire Voronoï</string>
   </property>
  </action>
  <action name="actionCharger_session">
   <property name="icon">
    <iconset theme="document-open">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Ouvrir la session</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+O</string>
   </property>
  </action>
  <action name="actionEnregistrer_session">
   <property name="icon">
    <iconset theme="document-save">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Enregistrer la session</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+S</string>
   </property>
  </action>
  <action name="actionOuverture_auto_de_la_session">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="checked">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>Ouverture auto. de la session</string>
   </property>
  </action>
  <action name="actionEnregistrement_auto_de_la_session">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="checked">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>Enregistrement auto. de la session</string>
   </property>
  </action>
  <action name="actionRecentrer_l_origine">
   <property name="text">
    <string>Recentrer à l'origine</string>
   </property>
  </action>
 </widget>
 <layoutdefault spacing="6" margin="11"/>
 <customwidgets>
  <customwidget>
   <class>myOpenGLWidget</class>
   <extends>QOpenGLWidget</extends>
   <header location="global">myopenglwidget.h</header>
  </customwidget>
 </customwidgets>
 <resources/>
 <connections/>
</ui>
